<?xml version="1.0" encoding="utf-8"?>

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:tools="http://schemas.android.com/tools"
	android:versionCode="1"
	android:versionName="1.0">

	<!-- Declare features -->
	<uses-feature android:name="android.hardware.camera" />

	<!-- Declare permissions -->
	<uses-permission android:name="android.permission.CAMERA" />
	<uses-permission android:name="android.permission.POST_NOTIFICATIONS"/>
	<uses-permission android:name="android.permission.INTERNET" />
	<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />

	<application android:label="@string/app_name"
		android:debuggable="true"
		android:icon="@mipmap/ic_launcher"
		android:roundIcon="@mipmap/ic_launcher_round"
		android:theme="@style/AppTheme"
		android:networkSecurityConfig="@xml/network_security_config"
		tools:ignore="GoogleAppIndexingWarning,HardcodedDebugMode">

		<activity android:name="com.khronos.vulkan_samples.MainActivity"
			android:exported="true">
			<intent-filter>
				<action android:name="android.intent.action.MAIN" />
				<category android:name="android.intent.category.LAUNCHER" />
			</intent-filter>
		</activity>

		<activity android:name="com.khronos.vulkan_samples.NativeSampleActivity"
			android:configChanges="orientation|keyboardHidden|screenSize"
			android:screenOrientation="fullSensor">
			<meta-data android:name="android.app.lib_name"
				android:value="@string/native_lib_name" />
		</activity>

		<activity android:name=".SecondActivity"
			android:exported="false" >
		</activity>

		<activity android:name=".CameraActivity"
			android:exported="true" >
		</activity>

		<provider
			android:authorities="${applicationId}.provider"
			android:name="androidx.core.content.FileProvider"
			android:exported="false"
			android:grantUriPermissions="true">
			<meta-data
				android:name="android.support.FILE_PROVIDER_PATHS"
				android:resource="@xml/provider_paths"/>
		</provider>

	</application>

</manifest>
